Update Autoconf tests for recent GMP version
authorHerbert Valerio Riedel <hvr@gnu.org>
Sun, 24 Nov 2013 16:53:58 +0000 (17:53 +0100)
committerHerbert Valerio Riedel <hvr@gnu.org>
Sun, 24 Nov 2013 16:53:58 +0000 (17:53 +0100)
This should improve the check for a suitable installed GMP version, to
implicitly check if GMP provides __gmpz_powm_sec() which has been added
in GMP version 5.0.0 and switch to the in-tree GMP 5.0.3 source otherwise.

Signed-off-by: Herbert Valerio Riedel <hvr@gnu.org>
aclocal.m4

index 8a9c467..c174ee2 100644 (file)
@@ -6,11 +6,11 @@ dnl--------------------------------------------------------------------
 AC_DEFUN([LOOK_FOR_GMP_LIB],[
     if test "$HaveFrameworkGMP" = "NO"
     then
-        AC_CHECK_LIB([gmp],  [__gmpz_fdiv_qr],
+        AC_CHECK_LIB([gmp],  [__gmpz_powm_sec],
                      [HaveLibGmp=YES; GMP_LIBS=gmp])
         if test "$HaveLibGmp" = "NO"
         then
-            AC_CHECK_LIB([gmp3], [__gmpz_fdiv_qr],
+            AC_CHECK_LIB([gmp3], [__gmpz_powm_sec],
                          [HaveLibGmp=YES; GMP_LIBS=gmp3])
         fi
     fi
@@ -28,7 +28,7 @@ AC_DEFUN([LOOK_FOR_GMP_FRAMEWORK],[
             AC_MSG_CHECKING([for GMP.framework])
             save_libs="$LIBS"
             LIBS="-framework GMP"
-            AC_TRY_LINK_FUNC(__gmpz_fdiv_qr,
+            AC_TRY_LINK_FUNC(__gmpz_powm_sec,
                              [HaveFrameworkGMP=YES; GMP_FRAMEWORK=GMP])
             LIBS="$save_libs"
             AC_MSG_RESULT([$HaveFrameworkGMP])